-- MySQL Script generated by MySQL Workbench
-- qui 23 jun 2022 08:51:26
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema work_flows
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema work_flows
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `work_flows` DEFAULT CHARACTER SET utf8 ;
USE `work_flows` ;

-- -----------------------------------------------------
-- Table `work_flows`.`job_position`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`job_position` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `position` VARCHAR(45) NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`user`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`user` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(45) NOT NULL,
  `image` VARCHAR(1000) NOT NULL,
  `email` VARCHAR(45) NULL,
  `fone` VARCHAR(20) NULL,
  `ctps` VARCHAR(14) NOT NULL,
  `password` VARCHAR(500) NOT NULL,
  `score` INT NOT NULL DEFAULT 400,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `job_position_id` INT NOT NULL,
  PRIMARY KEY (`id`, `job_position_id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE,
  INDEX `fk_user_job_position1_idx` (`job_position_id` ASC) VISIBLE,
  CONSTRAINT `fk_user_job_position1`
    FOREIGN KEY (`job_position_id`)
    REFERENCES `work_flows`.`job_position` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`warning`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`warning` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `title` VARCHAR(45) NOT NULL,
  `description` VARCHAR(500) NOT NULL,
  `weight` INT NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`available_job`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`available_job` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `message` VARCHAR(100) NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` INT NOT NULL,
  `job_position_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_available_jobs_user1_idx` (`user_id` ASC) VISIBLE,
  INDEX `fk_available_job_job_position1_idx` (`job_position_id` ASC) VISIBLE,
  CONSTRAINT `fk_available_jobs_user1`
    FOREIGN KEY (`user_id`)
    REFERENCES `work_flows`.`user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_available_job_job_position1`
    FOREIGN KEY (`job_position_id`)
    REFERENCES `work_flows`.`job_position` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`work_point`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`work_point` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `workpoint` TINYINT NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE,
  INDEX `fk_work_point_user1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_work_point_user1`
    FOREIGN KEY (`user_id`)
    REFERENCES `work_flows`.`user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`suggestion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`suggestion` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `suggestion` VARCHAR(500) NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE,
  UNIQUE INDEX `suggestion_UNIQUE` (`suggestion` ASC) VISIBLE,
  INDEX `fk_suggestions_user1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_suggestions_user1`
    FOREIGN KEY (`user_id`)
    REFERENCES `work_flows`.`user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `work_flows`.`publication`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`publication` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `publication` VARCHAR(3000) NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_publications_user1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_publications_user1`
    FOREIGN KEY (`user_id`)
    REFERENCES `work_flows`.`user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `work_flows`.`comment`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `work_flows`.`comment` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `comment` VARCHAR(45) NOT NULL,
  `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `publication_id` INT NOT NULL,
  `user_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_comments_publications1_idx` (`publication_id` ASC) VISIBLE,
  INDEX `fk_comments_user1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_comments_publications1`
    FOREIGN KEY (`publication_id`)
    REFERENCES `work_flows`.`publication` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_comments_user1`
    FOREIGN KEY (`user_id`)
    REFERENCES `work_flows`.`user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
